AstrologyAPI

Use access token to call astrology api.

Learn More

Personal Day Prediction

POSThttps://json.astrologyapi.com/v1/personal_day_prediction
Copy

This API predicts your personal day number and provides a daily report based on it. The report includes advice on self-compassion, forgiveness, and being prepared for unexpected events. It also emphasizes the importance of maintaining a balance in legal and computer matters.

POST/personal_day_prediction
Copy
1curl --location 'https://json.astrologyapi.com/v1/personal_day_prediction' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "personal_day_number": 11,
3  "considered_date": 11,
4  "report": [
5    "The way to universal love is self love! Be compassionate toward yourself and others. It's a single key, perpetually unlocking innumerable hearts. Forgiveness comes naturally to those who practice compassion. It's an artist's best color, the best music, the best poem! Forgiving others will enable you to deal with your situations and problems more gracefully. Expect the unexpected, but simultaneously also be aware of deceptions. Sudden events out of the blue with a tinge of some unexpected news may surprise you! Good or bad, always make a sincere attempt at taking things in your stride. A tight rope walker knows no better way! Legal matters and computer foul ups might pull you down further, but again, only psychic balance shall help you sail through. Happiness does not need a concrete door! It's a fluid taking the shape of the vessel. Hence, be the vessel wherein, it would want to flow in naturally. Insights would make their way to you this day. They are the language of heart. They depict good amount of awareness and perception. Thus, listen to them, they might be singing the tune you like!"
6  ]
7}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.